Loading...
Searching...
No Matches
openshot::Whisperization::WhisperizationEffect Class Reference

`#include <audio_effects/Whisperization.h>`

Inheritance diagram for openshot::Whisperization::WhisperizationEffect:

## Public Member Functions

| WhisperizationEffect (Whisperization &p)
Public Member Functions inherited from openshot::STFT
void | process (juce::AudioBuffer< float > &block)
void | setup (const int num_input_channels)
| STFT ()
virtual void | updateFftSize (const int new_fft_size)
virtual void | updateHopSize (const int new_overlap)
void | updateParameters (const int new_fft_size, const int new_overlap, const int new_window_type)
virtual void | updateWindow (const int new_window_type)
virtual | ~STFT ()

## Additional Inherited Members

Protected Attributes inherited from openshot::STFT
int | current_input_buffer_write_position
int | current_output_buffer_read_position
int | current_output_buffer_write_position
int | current_samples_since_last_FFT
std::unique_ptr< juce::dsp::FFT > | fft
int | fft_size
juce::HeapBlock< float > | fft_window
juce::HeapBlock< juce::dsp::Complex< float > > | frequency_domain_buffer
int | hop_size
juce::AudioBuffer< float > | input_buffer
int | input_buffer_length
int | input_buffer_write_position
int | num_channels
int | num_samples
juce::AudioBuffer< float > | output_buffer
int | output_buffer_length
int | output_buffer_read_position
int | output_buffer_write_position
int | overlap
int | samples_since_last_FFT
juce::HeapBlock< juce::dsp::Complex< float > > | time_domain_buffer
float | window_scale_factor
int | window_type

## Detailed Description

Definition at line 76 of file Whisperization.h.

## Constructor & Destructor Documentation

## WhisperizationEffect()

openshot::Whisperization::WhisperizationEffect::WhisperizationEffect | ( | Whisperization & | p | ) |

inline

Definition at line 79 of file Whisperization.h.

The documentation for this class was generated from the following files:

- audio_effects/Whisperization.h
- audio_effects/Whisperization.cpp